Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8140 - rpm handles unavailable filesystem incorrectly
Summary: rpm handles unavailable filesystem incorrectly
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-03 14:07 UTC by Richard Cobbe
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 22:38:56 UTC


Attachments (Terms of Use)

Description Richard Cobbe 2000-01-03 14:07:35 UTC
I just downloaded a bunch of updates from one of RH's mirrors and attempted
to install them via rpm -Uvh.  Got the following results:

installing package apache-1.3.9-8 needs 148Kb on the /home filesystem
installing package apache-manual-1.3.9-8 needs 145Kb on the /home
filesystem
installing package ee-0.3.11-1 needs 145Kb on the /home filesystem
installing package esound-0.2.17-1 needs 145Kb on the /home filesystem
installing package esound-devel-0.2.17-1 needs 145Kb on the /home
filesystem
installing package groff-1.15-1 needs 145Kb on the /home filesystem
installing package groff-gxditview-1.15-1 needs 145Kb on the /home
filesystem
installing package libtiff-3.5.4-1 needs 145Kb on the /home filesystem
installing package libtiff-devel-3.5.4-1 needs 145Kb on the /home
filesystem
installing package linuxconf-1.16r10-2 needs 145Kb on the /home filesystem
installing package linuxconf-devel-1.16r10-2 needs 145Kb on the /home
filesystem
installing package sharutils-4.2.1-1.6.1 needs 145Kb on the /home
filesystem

Now, at least one of the apache packages should have failed, because my
/home is controlled by the automounter and NIS and thus unavailable.
However, none of the rest of the packages require /home.  If I issue the
same command but omit the apache packages, the upgrade completes
successfully.  (Well, minus that annoying 'package README not found in file
index', of course.)

Comment 1 Elliot Lee 2000-02-03 22:38:59 UTC
This is correct behaviour. If you want to stop RPM from trying to use /home
instead of indicating an error, you can use the --excludepath option.


Note You need to log in before you can comment on or make changes to this bug.